﻿<!DOCTYPE html>
<html lang="en">
  
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>
      Opus Laboris Recruitment: Timesheet Authorisation
    </title>
      <link rel="shortcut icon" href="images/icons/favicon.ico" />

      <!-- Javascript Libraries -->
      <script src="javascript/TriSysLoad.js" type="text/javascript"></script>
      <script src="javascript/jquery.min.js" type="text/javascript"></script>
</head>
  
<body style="display:none">
    <div id="TriSysWeb-Header"></div>
    <div class="jumbotron">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <h1>
                        Timesheet Authorisation
                    </h1>
                </div>
                <div class="col-md-4" style="text-align:right">
                    <img src="images/Timesheet.png" height="150">
                </div>
            </div>
            <p>
                As a logged in client, you may view all of your current and historic candidate timesheets which you can authorise.
            </p>
            <p style="text-align: center">
            </p>
        </div>
    </div>

    <div class="container">
        <!-- Search Box -->
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Timesheet Lookup
                </h3>
            </div>
            <div class="panel-body">
                <div class="form-group">
                    <label>
                        Reference
                    </label>
                    <select id="cmbReference" style="width:auto;"></select>
                </div>
                <div class="form-group">
                    <label>
                        Job Title
                    </label>
                    <select id="cmbJobTitle" style="width:auto;"></select>
                </div>
                <div class="form-group">
                    <label>
                        Type
                    </label>
                    <select id="cmbType" style="width:auto;"></select>
                </div>
                <div class="form-group">
                    <label>
                        Candidate
                    </label>
                    <select id="cmbCandidate" style="width:auto;"></select>
                </div>
                <div class="form-group">
                    <label>
                        Location
                    </label>
                    <select id="cmbLocation" style="width:auto;"></select>
                </div>
                <div class="form-group">
                    <label>
                        Start Date
                    </label>
                    <select id="cmbStartDate" style="width:auto;"></select>
                </div>
                <div class="form-group">
                    <label>
                        End Date
                    </label>
                    <select id="cmbEndDate" style="width:auto;"></select>
                </div>
                <div class="form-group">
                    <label>
                        Status
                    </label>
                    <select id="cmbStatus" style="width:auto;"></select>
                </div>
                <hr />
                <div class="btn-group">
                    <a class="btn btn-default" id="btnSearch" onclick="TriSysWeb.Pages.ClientTimesheets.Search('divTimesheetGrid')">Search</a>
                </div>
            </div>
        </div>
    </div>   <!-- End of Search Box -->


    <div class="container">
        <div class="panel panel-default" id="pnlTimesheets">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Timesheets
                </h3>
            </div>
            <div class="panel-body">
                <!-- The timesheet grid populated by JS -->
                <div id="divTimesheetGrid" style="border-width: 1px; width: 100%; ">
                </div>
            </div>
        </div>

    </div>



    <div class="container">
        <div id="TriSysWeb-Footer"></div>
    </div>
    <!-- /container -->
    <script type="text/javascript">
        $(document).ready(function ()
        {
            TriSysLoad.ApexFramework.LoadDynamically(function ()
            {
                var documentReadyObject = {
                    ClientLogin: true,
                    CandidateLogin: false,
                    SQLLogin: true,
                    PageName: "clienttimesheets",
                    ParentMenuName: "client",
                    CallbackFunction: function ()
                    {
                        // Populate all lookups
                        TriSysWeb.Pages.ClientPlacements.PopulateReferenceLookup("cmbReference");
                        TriSysWeb.Pages.ClientPlacements.PopulateJobTitleLookup("cmbJobTitle");
                        TriSysWeb.Pages.ClientPlacements.PopulateTypeLookup("cmbType");
                        TriSysWeb.Pages.ClientPlacements.PopulateCandidateLookup("cmbCandidate");
                        TriSysWeb.Pages.ClientPlacements.PopulateLocationLookup("cmbLocation");
                        TriSysWeb.Pages.ClientPlacements.PopulateStatusLookup("cmbStatus");
                        TriSysWeb.Pages.ClientPlacements.PopulateStartDateLookup("cmbStartDate");
                        TriSysWeb.Pages.ClientPlacements.PopulateEndDateLookup("cmbEndDate");

                        // Show all timesheets after we can be sure that we are connected to the database
                        setTimeout(TriSysWeb.Pages.ClientTimesheets.SearchPersistence.ReloadLastSearchCriteriaAndReSearch, 500);
                    }
                };
                TriSysWeb.Pages.DocumentReady(documentReadyObject);
            });
        });

    </script>
</body>


</html>
